/* Copyright (C) 2009, Arne König
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _AUDIO_H
#define	_AUDIO_H

#include <nds.h>
#include <maxmod9.h>

#include "options.h"

#include "soundbank.h"
#include "soundbank_bin.h"

class Audio
{
	private:
		int bgMusic;
		TSoundOption mode;

	public:
		Audio();
		void update(TSoundOption option);

		void playColorSound(mm_hword rate);
		void playEndSound();

		void startBgMusic();
		void stopBgMusic();
};

#endif	/* _AUDIO_H */
