/* Copyright (C) 2009, Arne König
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _PLAYER_H
#define	_PLAYER_H

enum TPlayer {
	NONE_PLAYER = 0,
	BLUE_PLAYER = 1,
	RED_PLAYER = 2,
	GREEN_PLAYER = 3
};

static const char * TPLAYER_STRING[] = {"none", "blue", "red", "green"};

class Player
{
	public:
		Player(TPlayer type, int starters);
		TPlayer getType() const;
		bool hasStarter() const;
		void useStarter();
		int startersLeft() const;

	private:
		TPlayer type;
		int starters;
};

#endif /* _PLAYER_H */

